# BasicCounter Class Reference

This class is used by BasicSmartPointer to count pointer references. More...

`#include <BasicCounter.h>`

List of all members.

## Public Member Functions

| BasicCounter (const long initialCount)
| BasicCounter ()
void | inc ()
| Increment.
bool | dec ()
| Decrement.
long | getCount () const
| Get the current count.

## Private Attributes

long | count

## Detailed Description

This class is used by BasicSmartPointer to count pointer references.

## Constructor & Destructor Documentation

BasicCounter::BasicCounter | ( | const long | initialCount | ) | `[inline]`

BasicCounter::BasicCounter | ( |  | ) | `[inline]`

## Member Function Documentation

bool BasicCounter::dec | ( |  | ) | `[inline]`

Decrement.

Returns:
  true if count != 0, false otherwise

long BasicCounter::getCount | ( |  | ) | const`[inline]`

Get the current count.

Returns:
  The count.

void BasicCounter::inc | ( |  | ) | `[inline]`

| Increment.

## Member Data Documentation

long BasicCounter::count `[private]`

The documentation for this class was generated from the following file:

- BasicCounter.h